Mods should be made with patch installed!

Desert Fox

Fleet Admiral
Joined
Dec 29, 2001
Messages
194
Location
Las Vegas USA
I have just discovered why I keep having crashes running the mods out there. It seems no one is installing the patch before making a mod. The bic file has old parameters and the game will crash (at least one me) during Industrial or modern age over and over. Can anyone verify that I am right?
I keep playing with mods on Hugh maps with only 8 civs. I have not been able to finish one game since I bought when it first came out. I refuse to play without a mod because the military is too lame, I mean I hate my tank being destroyed by a pikemen! :eek:

Desert Fox :cry: :p
 

Joben

Queensguard
Joined
Jan 12, 2002
Messages
82
Location
*Looks around* Says: "My House"
What mods are you playing? I use LWC for about half my games (the other half are my personal slight tweaks) and havent had any problems with that one.
It is correct for the patch.

maybe you picked up a few mods that were abandoned before the patch or perhaps you are just installing them wrong.

Also some mods do just have crash problems that arnt fixed yet. check back for updates to them. they normaly get fixed quick.

As far as i know everyone uses the patch..
 

Desert Fox

Fleet Admiral
Joined
Dec 29, 2001
Messages
194
Location
Las Vegas USA
Originally posted by Joben
What mods are you playing? I use LWC for about half my games (the other half are my personal slight tweaks) and havent had any problems with that one.
It is correct for the patch.

maybe you picked up a few mods that were abandoned before the patch or perhaps you are just installing them wrong.

Also some mods do just have crash problems that arnt fixed yet. check back for updates to them. they normaly get fixed quick.

As far as i know everyone uses the patch..

LWC crashed on me during the industrial age 1 game, modern age another. I have a fresh operating system win 2k pro, hardware top of the line.
I noticed a bunch of BIC files do not have the new updated information that is why I said that. The big problem is the game it is buggy as hell.
 

Joben

Queensguard
Joined
Jan 12, 2002
Messages
82
Location
*Looks around* Says: "My House"
hmm ill collect some info and see if I can get back to ya on this.

remeber for most or all mods if you pick up the latest version you have to
start a new game to use the changes. .sav files seem to remeber the rules they
were started with.
for example if you had LWC 3 or 4
(which at various times had some crash probs)
and you now get release 5 you will have to start a new game to find out if
it crashes still.

I just asked in the LWC thread if anyone is still haveing crash trouble
ill tell ya if they answer or you can look for yerself.
 

Desert Fox

Fleet Admiral
Joined
Dec 29, 2001
Messages
194
Location
Las Vegas USA
Originally posted by Joben
What mods are you playing? I use LWC for about half my games (the other half are my personal slight tweaks) and havent had any problems with that one.
It is correct for the patch.

maybe you picked up a few mods that were abandoned before the patch or perhaps you are just installing them wrong.

Also some mods do just have crash problems that arnt fixed yet. check back for updates to them. they normaly get fixed quick.

As far as i know everyone uses the patch..

Korn's Blitz mod is one, I found a few others too that have been updated without appliing patch.
Another issue is if my game crashes the BIC file will revert back to its original format. (No updated info on general Settings tab, 1.16f has science set at 40 turns, old one no tab for changing this exist.) Not only that, I just reinstalled Civ 3 after totally removing all parts from the registry. Reinstalled the game, rebooted, started up a game, quite after I found it loaded. I then applied the patch, checked the bic file and the patch did not apply still has old info on general settings tab. I applied the patch one more time, and now it took. I have these temp files that show up after installing a second time. My games with LWC and all other mods always crash at industrial or modern times, lately just before industrial.
I have a new computer (I have a business building custom computers) with new ATI video card. I suspect my personal problem is incompatiblity with my card. My units always move with jerky movements since I installed win 2k.
My whole point is I am not some fruit cake who doesn't know what he is talking about so lay off with the "What mods are you playing?" statement. Obviously I am having a problem and I have found that many of the mods (Excluding LWC and 1-2 others) are using the old 1.07 version of the game. :p :D

Desert Fox :p
 

Desert Fox

Fleet Admiral
Joined
Dec 29, 2001
Messages
194
Location
Las Vegas USA
Originally posted by Joben
hmm ill collect some info and see if I can get back to ya on this.

remeber for most or all mods if you pick up the latest version you have to
start a new game to use the changes. .sav files seem to remeber the rules they
were started with.
for example if you had LWC 3 or 4
(which at various times had some crash probs)
and you now get release 5 you will have to start a new game to find out if
it crashes still.

I just asked in the LWC thread if anyone is still haveing crash trouble
ill tell ya if they answer or you can look for yerself.

I appreicate your helpfulness I kind of slammed you slightly but I understand now where you are coming from. It is more my luck and a badly tested game before release. What is wierd with me is that when I first installed my new OS civ3 worked great with patch and no mods. I made it past modern times without a hitch. I installed Korn's Blktiz mod and crash at industrial age, tried again crash at modern age. Later I tried every single mod thinking maybe the mod creator messed up. Nope, every mod crashes and now I can not get civ 3 too run correctly or even close to the way it was with fresh OS. I have latest drivers etc too. Very frustrating to say the least.
Anyways, sorry for having an attitude when you were really trying to help! :crazyeyes :cool: :goodjob:

Desert Fox :p
 
Top Bottom